import { SimpleLocalIntegration } from '../../core/index.js';
import { DropletConfigFlow } from './droplet.classes.configflow.js';
import { createDropletDiscoveryDescriptor } from './droplet.discovery.js';
import type { IDropletConfig } from './droplet.types.js';
import { dropletDomain, dropletProfile } from './droplet.types.js';

export class DropletIntegration extends SimpleLocalIntegration<IDropletConfig> {
  public readonly domain = dropletDomain;
  public readonly discoveryDescriptor = createDropletDiscoveryDescriptor();
  public readonly configFlow = new DropletConfigFlow();

  constructor() {
    super(dropletProfile);
  }
}

export class HomeAssistantDropletIntegration extends DropletIntegration {}
